it-swarm-ja.tech

Mac OS X 10.8/Xcode 4.4へのgccのインストール方法

Mountain Lion(Mac OS X 10.8)をインストールしましたが、今ではgccはもう利用できないようです。 Xcode 4.4もインストールしたので、これ以上/ Developerディレクトリはありません。

私はMac用とRubyの宝石用のgccが必要です(ネイティブの拡張子を持っています)。

Xcode 4.4にはgccが含まれていますか、それともgccをインストールする方法はありますか?

292
Athir Nuaimi

更新:

端末から次のコマンドを実行するだけです。

xcode-select --install

Xcode 4.3以降 - Xcode menu > Preferences > Downloadsからコマンドラインツールを手動でインストールする必要があります。

manual install image

あるいは、 Mountain Lion(10.8) および - Mavericks(10.9) の両方のスタンドアロンインストールパッケージがあります。

このパッケージは、Mac OS X SDKフレームワークとヘッダだけでなくコマンドライン開発者ツールをインストールすることによって、ターミナルを介したUNIXスタイルの開発を可能にします。 Apple LLVMコンパイラ、リンカ、Makeなど、便利なツールが多数含まれています。 Xcodeを使用する場合、これらのツールはXcode IDEにも埋め込まれており、Xcode 4.3以降の「ダウンロード」環境設定パネルを使用してシステムにインストールできます。このパッケージにはMac OS X 10.7.3以降が必要です。

420
Steve

Lionからアップグレードした後、/usr/bin/gcc-4.2でGCCを探していたため、インストールに失敗しました。現在のデフォルトのインストールパスは/ usr/bin/gccです。

私のエラーはこのように見えました:

make: /usr/bin/gcc-4.2: No such file or directory

シンボリックリンクは問題を整理するでしょう:

Sudo ln -s /usr/bin/gcc /usr/bin/gcc-4.2
41
Volcanic

これをターミナルに貼り付けるだけです。

export PATH=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:$PATH

私はそれが役立つことを願っています!

24

1.9.3より前のMountain Lion

前提条件

Xcode 4.4, 
Xcode Command Line Tools
Homebrew
XQuartz 2.7.2 or later.
rbenv/Ruby-build or RVM.

GCCをインストールします

XcodeコマンドラインツールにはGCCは含まれていません。それらはLLVM-GCCを含みます。同じですけど、違います。

$ brew tap homebrew/dupes
$ brew install Apple-gcc42

〜/ .profileまたは同等のものに以下を追加してください。

export CC=/usr/local/bin/gcc-4.2

下記のインストールコマンドを試す前にシェルをリロードしてください。

RVMをインストールします

CFLAGS="-I/opt/X11/include" rvm reinstall ree

Rubyをインストール

Prefix the install command with CFLAGS="-I/opt/X11/include"

次に、新しいRubyをデフォルトに設定します。

user$ rvm use 1.9.2 --default

それからRubyのバージョンを確認してください。

user$ Ruby -v
20
Surge Pedroza

AppleからXcodeのビルドをダウンロードできるが、コマンドラインツールはダウンロードできないユーザー向け

受け入れられる回答 比較可能な質問に対する提案 kennethreitz/osx-gcc-installer 。その「OSX GCCインストーラー」エリアでは、2つのオプションの最初はビルド済みのバイナリです。Snow LeopardとLion向けですが、Mountain Lion向けではありません。何が含まれているかを考慮して、notそのプロジェクトのGCC-10.7-v2.pkgの使用を推奨する必要がありますafter Xcodeのバージョン4.4のインストール10.8のビルド。

より関連するオプションは、独自のビルドで、Developer Toolsの Appleオープンソース を参照します。

GCCのソース、10.8との互換性

最近公開されたApple Open Source Developer Tools 4. にはGCCがありません。 4.1 エリアのGCCのソースは、10.8で使用するには古すぎる可能性があります

GCCホームページ 最新リリース。

GCC 4.7のビルドステータスx86_64-Apple-darwin10.8.0の結果へのリンクlinks…

12
Graham Perrin

AppleはCommand Line Tools(CLT)用の.mpkgインストーラを提供していますが、通常はリンクを公開しません。それはGCCを含みます。 XCodeをダウンロード/インストールせずにインストールできます。

GCC付きコマンドラインツールはこちらからダウンロードしてください。

5
briangonzalez

this Makefile で自分でコンパイルすることができます。あなたがあなた自身を2-5時間節約したいならば、私は あなたがここからダウンロードすることができる - Mac OSX Mountain LionのためにGCC 4.7.2で署名されたインストーラパッケージを作成しました。

3
bbaassssiiee

このサイトからGCC for Mountain Lionのインストーラ(.pkgファイル)最新バージョンをダウンロードできます。あなたはそれをダウンロードしてインストールする必要があります。

https://github.com/kennethreitz/osx-gcc-installer/downloads

1
nbs

OS X 10.9 Mavericksを使用しています。たまたまgcc -vとタイプしただけです。システムは直ちにgccをダウンロードしました。 Xcodeをまったくインストールせずにインストールが完了しました。テスト「こんにちは、世界!」動作します。

0
Pongthep